Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jdesktop.swingx.calendar
Enum DateSelectionModel.SelectionMode

    java.lang.Object
      java.lang.Enum<DateSelectionModel.SelectionMode>
          org.jdesktop.swingx.calendar.DateSelectionModel.SelectionMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DateSelectionModel.SelectionMode>

Enclosing interface:
  DateSelectionModel

    public static enum DateSelectionModel.SelectionMode

extends java.lang.Enum<DateSelectionModel.SelectionMode>

Enum Constant Summary
`MULTIPLE_INTERVAL_SELECTION` Mode that allows for selecting disjoint days.
`SINGLE_INTERVAL_SELECTION` Mode that allows for selecting of multiple consecutive days.
`SINGLE_SELECTION` Mode that allows for selection of a single day.

Method Summary
`static DateSelectionModel.SelectionMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DateSelectionModel.SelectionMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_SELECTION

    public static final DateSelectionModel.SelectionMode SINGLE_SELECTION

  Mode that allows for selection of a single day.

### SINGLE_INTERVAL_SELECTION

    public static final DateSelectionModel.SelectionMode SINGLE_INTERVAL_SELECTION

  Mode that allows for selecting of multiple consecutive days.

### MULTIPLE_INTERVAL_SELECTION

    public static final DateSelectionModel.SelectionMode MULTIPLE_INTERVAL_SELECTION

  Mode that allows for selecting disjoint days.

Method Detail

### values

    public static DateSelectionModel.SelectionMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DateSelectionModel.SelectionMode c : DateSelectionModel.SelectionMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DateSelectionModel.SelectionMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010. All Rights Reserved.